(function(app) {                    
  app.SampleComponent = ng.core
    .Component({
      templateUrl: 'app/sample.component.html'
    })
    .Class({
      constructor: function() {
        this.count = 'not implemented';
        this.page = new Date().getTime();
      },
      increment: function() {
        this.service.increment();
        this.count = this.service.getCount();
      },
      ngOnInit: function() {
        var injector =
         ng.core.ReflectiveInjector.resolveAndCreate([app.SampleService]);
        this.service = injector.get(app.SampleService);
        
        this.count = this.service.getCount();
      }      
    });
})(window.app || (window.app = {}));
